Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008438opensim[REGION] OpenSim Corepublic2019-01-01 04:292019-02-06 11:28
ReporterLuisillo_Contepomi 
Assigned ToLuisillo_Contepomi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionopen 
PlatformIntelOSWindowsOS VersionWin-64
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008438: Yengine: scripts error when region is closing by scripts with particle systems.
Description0.9.1.0 Snail Dev 813fda9 (but in the last 7 days subversions)

I interpret this as "notice" because is not a red error or yellow alert, and the script compile and work fine.

Appears in console only when I close the region with "shutdown" command

--------------------------------------------------------------
2019-01-01 12:47:57,522 INFO [YEngine]: Exception while running f371cdf2-05e6-4164-976d-ee9f8676c2f6
ObjectDisposedException: Cannot access a disposed object.
Prim: <antiguedad lampara candeleria sculpt>, Script: <particulas en link>, Location: Continente <709,626,30>
Script must be Reset to re-enable.
  at System.Threading.ReaderWriterLockSlim.TryEnterReadLockCore(TimeoutTracker timeout)
  at System.Threading.ReaderWriterLockSlim.TryEnterReadLock(TimeoutTracker timeout)
  at System.Threading.ReaderWriterLockSlim.EnterReadLock()
  at OpenSim.Region.Framework.Scenes.SceneGraph.GetScenePresences() in SceneGraph.cs:line 900
  at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachScenePresence(Action`1 action) in SceneGraph.cs:line 1332
  at OpenSim.Region.Framework.Scenes.Scene.ForEachScenePresence(Action`1 action) in Scene.cs:line 5190
  at OpenSim.Region.Framework.Scenes.SceneObjectPart.SendFullUpdateToAllClients() in SceneObjectPart.cs:line 3476
  at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.SetParticleSystem(SceneObjectPart part, list rules, String originFunc) in LSL_Api.cs:line 7776
  at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.llLinkParticleSystem(Int32 linknumber, list rules) in LSL_Api.cs:line 7364
  at OpenSim.Region.ScriptEngine.Shared.ScriptBase.ScriptBaseClass.llLinkParticleSystem(Int32 linknum, list rules) in LSL_Stub.cs:line 991
  at default timer
  at OpenSim.Region.ScriptEngine.Yengine.XMRInstAbstract.CallSEH() in XMRInstAbstract.cs:line 498
  at OpenSim.Region.ScriptEngine.Yengine.XMRInstance.StartEx() in XMRScriptUThread.cs:line 51
System.ObjectDisposedException: Cannot access a disposed object.
   at System.Threading.ReaderWriterLockSlim.TryEnterReadLockCore(TimeoutTracker timeout)
   at System.Threading.ReaderWriterLockSlim.TryEnterReadLock(TimeoutTracker timeout)
   at System.Threading.ReaderWriterLockSlim.EnterReadLock()
   at OpenSim.Region.Framework.Scenes.SceneGraph.GetScenePresences() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneGraph.cs:line 900
   at OpenSim.Region.Framework.Scenes.SceneGraph.ForEachScenePresence(Action`1 action) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneGraph.cs:line 1332
   at OpenSim.Region.Framework.Scenes.Scene.ForEachScenePresence(Action`1 action) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\Scene.cs:line 5190
   at OpenSim.Region.Framework.Scenes.SceneObjectPart.SendFullUpdateToAllClients() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\Framework\Scenes\SceneObjectPart.cs:line 3476
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.SetParticleSystem(SceneObjectPart part, list rules, String originFunc) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 7776
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.llLinkParticleSystem(Int32 linknumber, list rules) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 7364
   at OpenSim.Region.ScriptEngine.Shared.ScriptBase.ScriptBaseClass.llLinkParticleSystem(Int32 linknum, list rules) in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\Shared\Api\Runtime\LSL_Stub.cs:line 991
   at default timer(XMRInstAbstract )
   at OpenSim.Region.ScriptEngine.Yengine.XMRInstAbstract.CallSEH() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\YEngine\XMRInstAbstract.cs:line 498
   at OpenSim.Region.ScriptEngine.Yengine.XMRInstance.StartEx() in X:\0.9.0.1dev\opensimdev\Continente\OpenSim\Region\ScriptEngine\YEngine\XMRScriptUThread.cs:line 51
Steps To ReproduceCreate a link with 5 prims and then put this script in root prim and set the region to be at night for verify that script is running ok.


//llama en velas y luz en lampara si es de noche.

list setParticles = [
            PSYS_PART_FLAGS,( 0
                |PSYS_PART_INTERP_SCALE_MASK
                |PSYS_PART_FOLLOW_VELOCITY_MASK
                |PSYS_PART_EMISSIVE_MASK ),
            PSYS_SRC_PATTERN, PSYS_SRC_PATTERN_ANGLE_CONE ,
            PSYS_PART_START_ALPHA,0.25098,
            PSYS_PART_END_ALPHA,0,
            PSYS_PART_START_COLOR,<1,1,1> ,
            PSYS_PART_END_COLOR,<0.901961,0.4,0> ,
            PSYS_PART_START_SCALE,<0,0,0>,
            PSYS_PART_END_SCALE,<0.05,0.09375,0>,
            PSYS_PART_MAX_AGE,0.5,
            PSYS_SRC_MAX_AGE,0,
            PSYS_SRC_ACCEL,<0,0,0.015625>,
            PSYS_SRC_BURST_PART_COUNT,10,
            PSYS_SRC_BURST_RADIUS,0,
            PSYS_SRC_BURST_RATE,0.046875,
            PSYS_SRC_BURST_SPEED_MIN,0,
            PSYS_SRC_BURST_SPEED_MAX,0,
            PSYS_SRC_ANGLE_BEGIN,0,
            PSYS_SRC_ANGLE_END,0,
            PSYS_SRC_OMEGA,<0,0,0>,
            PSYS_SRC_TEXTURE, (key)"c5c409aa-5169-735e-d16f-b130a4fc9973"
//<--change this for a candel texture uuid.
         ];
                             
vector color = <0.812, 0.729, 0.067>; // color de la luz
float intensity = 1.000; // intensidad entre cero y uno
float radius = 1.5000; // radio de la luz entre 0 y 20
float falloff = 0.750; // decadencia entre 0 y 2
 
default
{
     state_entry() {
      llSetTimerEvent(30);
   }
   timer() {
      vector sun = llGetSunDirection();
         if(sun.z > 0) {
            llLinkParticleSystem(2,[]);
            llLinkParticleSystem(3,[]);
            llLinkParticleSystem(4,[]);
            llLinkParticleSystem(5,[]);
            
             llSetLinkPrimitiveParams(2 ,[PRIM_POINT_LIGHT, FALSE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(3 ,[PRIM_POINT_LIGHT, FALSE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(4 ,[PRIM_POINT_LIGHT, FALSE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(5 ,[PRIM_POINT_LIGHT, FALSE, color, intensity, radius, falloff]);
        }
         else {
             llLinkParticleSystem(2,setParticles);
            llLinkParticleSystem(3,setParticles);
            llLinkParticleSystem(4,setParticles);
            llLinkParticleSystem(5,setParticles);
            
           llSetLinkPrimitiveParams(2 ,[PRIM_POINT_LIGHT, TRUE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(3 ,[PRIM_POINT_LIGHT, TRUE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(4 ,[PRIM_POINT_LIGHT, TRUE, color, intensity, radius, falloff]);
             llSetLinkPrimitiveParams(5 ,[PRIM_POINT_LIGHT, TRUE, color, intensity, radius, falloff]);
         }
       }
}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionNone
ViewerAll
Attached Filespng file icon llama de vela.png [^] (18,189 bytes) 2019-01-01 04:29


? file icon lampara cuatro velas.lsl [^] (2,788 bytes) 2019-01-01 04:29

- Relationships

-  Notes
(0033704)
UbitUmarov (administrator)
2019-01-01 05:19

worked around that null ref on master, thx
(0033705)
Luisillo_Contepomi (reporter)
2019-01-01 05:32

I see the same in all scripts with some timer()
Thank you Ubit.
(0033711)
Luisillo_Contepomi (reporter)
2019-01-03 07:37

Solved in 0.9.1.0 Snail Dev c032724
Thank you Ubit.
(0033725)
Luisillo_Contepomi (reporter)
2019-01-06 08:23

Again in 0.9.1.0 Snail Dev 6e60917 (6.1.19)
(0033726)
Luisillo_Contepomi (reporter)
2019-01-06 08:25

Again in 0.9.1.0 Snail Dev 6e60917
(0034354)
BillBlight (developer)
2019-02-06 11:28

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2019-01-01 04:29 Luisillo_Contepomi New Issue
2019-01-01 04:29 Luisillo_Contepomi File Added: llama de vela.png
2019-01-01 04:29 Luisillo_Contepomi File Added: lampara cuatro velas.lsl
2019-01-01 04:30 Luisillo_Contepomi Steps to Reproduce Updated View Revisions
2019-01-01 05:19 UbitUmarov Note Added: 0033704
2019-01-01 05:32 Luisillo_Contepomi Note Added: 0033705
2019-01-03 07:37 Luisillo_Contepomi Note Added: 0033711
2019-01-03 07:37 Luisillo_Contepomi Status new => resolved
2019-01-03 07:37 Luisillo_Contepomi Fixed in Version => master (dev code)
2019-01-03 07:37 Luisillo_Contepomi Resolution open => fixed
2019-01-03 07:37 Luisillo_Contepomi Assigned To => Luisillo_Contepomi
2019-01-06 08:23 Luisillo_Contepomi Note Added: 0033725
2019-01-06 08:23 Luisillo_Contepomi Status resolved => confirmed
2019-01-06 08:25 Luisillo_Contepomi Note Added: 0033726
2019-01-06 08:25 Luisillo_Contepomi Status confirmed => resolved
2019-01-06 08:25 Luisillo_Contepomi Resolution fixed => open
2019-02-06 11:28 BillBlight Note Added: 0034354
2019-02-06 11:28 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker